1. #1
    Sencha User
    Join Date
    Jan 2012
    Posts
    6
    Vote Rating
    2
    tuttoilmondo is on a distinguished road

      0  

    Default Unanswered: Phonega and Sencha 2

    Unanswered: Phonega and Sencha 2


    Hello, is Sencha touch 2.0 compatible with Phonegap 1.5 ?

    I askthat becausewith the sencha1.1 projects I have no problem,instead of2.0 projects that do not work.

    I tried eclipse and xcode with PhoneGap 1.5.

    Thanks in advance

    Paolo

  2. #2
    Sencha User
    Join Date
    Apr 2008
    Location
    Buenos Aires, Argentina
    Posts
    66
    Answers
    1
    Vote Rating
    0
    elmasse is on a distinguished road

      0  

    Default


    PhoneGap 1.5 has changed its namespace to Cordova, so I think it is something that ST2 needs to change to detect it. AFAIK they have a detection for PhoneGap namespace

  3. #3
    Sencha User
    Join Date
    Jan 2012
    Posts
    6
    Vote Rating
    2
    tuttoilmondo is on a distinguished road

      0  

    Default


    Quote Originally Posted by elmasse View Post
    PhoneGap 1.5 has changed its namespace to Cordova, so I think it is something that ST2 needs to change to detect it. AFAIK they have a detection for PhoneGap namespace
    No I don't think that because with Eclipse I use Phonegap 1.5 (cordova) but with Xcode I use Phonegap 1.3 but don't work.

    Thanks

  4. #4
    Sencha - Sencha Touch Dev Team rdougan's Avatar
    Join Date
    Oct 2008
    Posts
    1,158
    Answers
    93
    Vote Rating
    6
    rdougan will become famous soon enough

      0  

    Default


    PhoneGap 1.5 will not work as @elmasse mentioned. However previous releases will work.
    Sencha Inc.
    Robert Dougan - @rdougan
    Sencha Touch 2 and Ext JS 4 Core Team Member, SASS/Theming Wizard.

  5. #5
    Sencha User
    Join Date
    Feb 2012
    Location
    New York, NY
    Posts
    52
    Answers
    1
    Vote Rating
    3
    roycyang is on a distinguished road

      0  

    Default


    I've been seeing a lot of these threads lately. Am I missing something? I'm using ST2 and Phonegap 1.5, latest builds of everything and I can compile and run on my iPhone and iPad.

    Is there specific functionality that is broken? I've been using bits and pieces of the Phonegap API successfully.

  6. #6
    Sencha User
    Join Date
    Jan 2012
    Posts
    6
    Vote Rating
    2
    tuttoilmondo is on a distinguished road

      0  

    Default


    Quote Originally Posted by roycyang View Post
    I've been seeing a lot of these threads lately. Am I missing something? I'm using ST2 and Phonegap 1.5, latest builds of everything and I can compile and run on my iPhone and iPad.

    Is there specific functionality that is broken? I've been using bits and pieces of the Phonegap API successfully.
    Hello, with Eclipse and Phonegap 1.5 when I start in the emulator the ST2 project the result is a white page. With Xcode and phonegap 1.3 the same. With ST1 all work !

    I don't know why with You it work !

    Thanks

  7. #7
    Sencha User
    Join Date
    Jan 2012
    Posts
    6
    Vote Rating
    2
    tuttoilmondo is on a distinguished road

      0  

    Default


    Quote Originally Posted by rdougan View Post
    PhoneGap 1.5 will not work as @elmasse mentioned. However previous releases will work.
    Quote Originally Posted by rdougan View Post
    PhoneGap 1.5 will not work as @elmasse mentioned. However previous releases will work.
    Are You sure ?

    With me:
    Eclipse / Phonegap 1.5 / ST 2.0 , result "White page"
    Eclipse / Phonegap 1.5 / ST 1 , result "It work"
    Xcode / Phonegap 1.3 / ST 2.0 , result "White page"
    Xcode / Phonegap 1.3 / ST 1 , result "It work"

    This ST2 project in my webserver work good.

    Why ??

    Thanks in advance.

    Paolo

  8. #8
    Sencha User realjax's Avatar
    Join Date
    Aug 2009
    Location
    Netherlands
    Posts
    412
    Vote Rating
    6
    realjax is on a distinguished road

      0  

    Default


    After doing quite some testing ( not fully done though) I've found the following to be true:

    - It is not the version of Phonegap that is causing problems, it is the verion of Sencha Touch. I've had success with both Cordova (1.5) and Phonegap (1.4.1 and below), but equally many misses.
    - It has nothing to do with name spacing. Because a phonegap project that does NOT include phonegap.js can fail equally well.
    - I still suspect it has something to do with the class loading mechanism, though I'm not sure.
    - In one case (kitchensink example + Cordova) I got things to work when I left out the google api js..

    I'll update when I find out more, but debugging is difficult since no usefull error messages, or for that matter ANY error messages are shown.
    twitter: @realjax

  9. #9
    Sencha User
    Join Date
    Mar 2012
    Posts
    15
    Answers
    1
    Vote Rating
    0
    primski is on a distinguished road

      0  

    Default


    I'm using Phonegap Cordova 1.5 and ST2 in my app I'm currently developing , along with Google Maps API any many other features. Works like a charm, no issues with namespace or whatever.

  10. #10
    Sencha User
    Join Date
    Mar 2012
    Posts
    5
    Vote Rating
    0
    harare is on a distinguished road

      0  

    Default


    Having the same problem. I also suspect that it has something to do with the class loading mechanism.

film izle

hd film izle

film sitesi

takipci kazanma sitesi

takipci kazanma sitesi

güzel olan herşey

takipci alma sitesi

komik eğlenceli videolar